%define name	noteedit
%define version	2.8.1
%define release %mkrel 1

%define	major	1
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		Sound
# old URL: http://tan.informatik.tu-chemnitz.de/~jan/noteedit/noteedit.html
URL:		http://developer.berlios.de/projects/noteedit/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://download.berlios.de/noteedit/%{name}-%{version}.tar.gz
Source1:	noteedit16.png
Source2:	noteedit32.png
Source3:	noteedit48.png

Requires:	abcm2ps
BuildRequires:	tse3-devel
BuildRequires:	gettext
BuildRequires:	automake >= 1.7
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	kdelibs-devel

%description
Noteedit is an editor for music notation that supports an unlimited
number of staffs and up to 9 voices per staff. You can use it to
create sheets of notes. You can import and export into many formats
like midi, musicxml and lilypond.

%package -n	%{libname}
Summary:	Score editor with extensive Midi and MusiXTeX functionality
Group:		Sound
Provides:	lib%{name}

%description -n	%{libname}
Noteedit is an editor for music notation that supports an unlimited
number of staffs and up to 9 voices per staff. You can use it to
create sheets of notes. You can import and export into many formats
like midi, musicxml and lilypond.

This package contains library necessary for running noteedit.

%package -n	%{libname}-devel
Summary:	Score editor with extensive Midi and MusiXTeX functionality
Group:		Sound
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel
Provides:	%{name}-devel

%description -n	%{libname}-devel
Development files for the libraries used by NoteEdit

%prep
%setup -q
chmod -R go=rX .
# same as autoreconf but with more bell and whistle
sh admin/cvs.sh cvs
perl -pi -e 's/^.*nscaleedit.h.*$//g' noteedit/staffProps.ui noteedit/timesigDia.ui

%build
%configure2_5x \
	--enable-warnings \
	--with-xinerama \
	--disable-rpath \
	--disable-shared \
	--with-qt-libraries=$QTDIR/%{_lib} \
	--with-libtse3-libs=%{_libdir} \
	--with-printing

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Noteedit" \
longtitle="Graphical music notation editor" \
command="%{_bindir}/noteedit" \
icon="%{name}.png" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applnk/*/*

# fix doc symlinks
for i in $RPM_BUILD_ROOT%{_docdir}/HTML/*/noteedit; do
	pushd $i
	rm -f common
	ln -sf ../common common
	popd
done

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# remove unneeded files
rm -f %{buildroot}%{_libdir}/libnoteedit*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ* LICENSE.GPL NEWS README*
%doc %{_docdir}/HTML/*/%{name}
%{_bindir}/*
%exclude %{_datadir}/applnk/*/noteedit.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/apps/noteedit

%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%name

%if 0
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnoteedit.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libnoteedit.so
%{_libdir}/libnoteedit.la
%endif

%changelog
* Tue Aug 22 2006 Buchan Milne <bgmilne@mandriva.org> 2.8.1-1mdv2007.0
- New release 2.8.1
- drop obsolete patches

* Tue May 16 2006 Buchan Milne <bgmilne@mandriva.org> 2.8.0-2mdk
- fix build on x86_64
- fix bug #22116

* Tue Aug 23 2005 Abel Cheung <deaddog@mandriva.org> 2.8.0-1mdk
- New release 2.8.0
- Patch0: Fix detection of gcc4

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 2.7.4-1mdk
- New version
- Drop patch (upstream)
- Don't build shared library, nothing use it so far
- Enable using abcm2ps to generate postscript (quasi direct printing)

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.7.3-1mdk
- Continuation of noteedit effort (?), though it sounds like no new
  version has been released.
- P0: fix compile with newer gcc

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 2.5.3-2mdk 
- rebuild for new gcc

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 2.5.3-1mdk
- 2.5.3

* Wed Feb 4 2004 Austin Acton <austin@mandrake.org> 2.4.2-1mdk
- 2.4.2

* Thu Jan 15 2004 Austin Acton <austin@mandrake.org> 2.4.1-1mdk
- 2.4.1
- libtoolize

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.3.3-1mdk
- 2.3.3
- fix provides
- fix buildrequires (lib64..)
- minor fixes

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 2.2.3-1mdk
- 2.2.3

* Fri Jun 27 2003 Austin Acton <aacton@yorku.ca> 2.2.2-1mdk
- 2.2.2

* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 2.1.3-1mdk
- 2.1.3

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 2.1.1-2mdk
- buildrequires libart_lgpl2-devel

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 2.1.1-1mdk
- update
- delint
- add some buildrequires

* Fri Jan 31 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.19-1mdk
- thac->contrib
- 2.0.19
- cleanups
- Don't require lilypond (not in the distro atm, not strictly required)

* Thu Jan 21 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.18-1mdk
- new version

* Thu Jan 02 2002 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.17-1mdk
- Built for Mandrake 9.0
